<center><img src="http://berytech.org/wp-content/uploads/2015/11/amazon-aws-logo.jpg"></center>
<br>

A curated list of AWS resources to prepare for the AWS Certifications

A curated list of awesome AWS resources you need to prepare for the all 5 AWS Certifications. This gist will include: open source repos, blogs & blogposts, ebooks, PDF, whitepapers, video courses, free lecture, slides, sample test and many other resources. 

----

Index:

<ol>
    <li><b>Passing the AWS solutions architect - Associate exam (Published ☑)</b></li>
      <ul>
      <li>Exam Overview</li>
      <li>Prerequisites</li>
      <li>General Learning Material</li>
      <li>Blueprints exam</li>
      <li>Direct experience from AWS Certified members</li>
      <li>The exam</li>
      </ul>
    <li><b>Passing the AWS solutions architect - Professional exam (Coming soon...)</b></li>
      <ul>
      <li>Exam Overview</li>
      <li>Prerequisites</li>
      <li>General Learning Material</li>
      <li>Blueprints exam</li>
      <li>Direct experience from AWS Certified members</li>
      <li>The exam</li>
      </ul>
    <li><b>Passing the AWS SysOps Administrator Certification (Coming soon...)</b></li>
      <ul>
      <li>Exam Overview</li>
      <li>Prerequisites</li>
      <li>General Learning Material</li>
      <li>Blueprints exam</li>
      <li>Direct experience from AWS Certified members</li>
      <li>The exam</li>
      </ul>
    <li><b>Passing the AWS DevOps Engineer Certification(Coming soon...)</b></li>
      <ul>
      <li>Exam Overview</li>
      <li>Prerequisites</li>
      <li>General Learning Material</li>
      <li>Blueprints exam</li>
      <li>Direct experience from AWS Certified members</li>
      <li>The exam</li>
      </ul>
      <li><b>Passing the AWS Developer Certification (TBD)</b></li>
      <ul>
      <li>Exam Overview</li>
      <li>Prerequisites</li>
      <li>General Learning Material</li>
      <li>Blueprints exam</li>
      <li>Direct experience from AWS Certified members</li>
      <li>The exam</li>
      </ul>
</ol>

---

<h2>Passing the AWS solutions architect - Associate exam > Exam Overview</h2>

You will find you make less errors when you don’t feel rushed on time.


The <b>AWS Certified Solutions Architect – Associate exam</b> is intended for individuals with experience designing distributed applications and systems on the AWS platform. 

<b>Exam concepts you should understand for this exam include:</b>

1. Designing and deploying scalable, highly available, and fault tolerant systems on AWS
2. Lift and shift of an existing on-premises application to AWS
3. Ingress and egress of data to and from AWS
4. Selecting the appropriate AWS service based on data, compute, database, or security requirements
5. Identifying appropriate use of AWS architectural best practices
6. Estimating AWS costs and identifying cost control mechanisms
 
<h2>Passing the AWS solutions architect - Associate exam > Prerequisites & Requirements</h2>

Candidate Overview description provided by the <a href="https://aws.amazon.com//certification/certified-solutions-architect-associate/">AWS documentation</a>

    Eligible candidates for this exam have:

    - One or more years of hands-on experience designing available, cost efficient, fault tolerant, and scalable distributed systems on AWS
    - In-depth knowledge of at least one high-level programming language
    - Ability to identify and define requirements for an AWS-based application
    - Experience with deploying hybrid systems with on-premises and AWS components
    - Capability to provide best practices for building secure and reliable applications on the AWS platform
    
<b>AWS Knowledge required for the Exam:</b>
<ul>
<li>Hands-on experience using compute, networking, storage, and database AWS services</li>
<li>Professional experience architecting large-scale distributed systems</li>
<li>Understanding of elasticity and scalability concepts</li>
<li>Understanding of the AWS global infrastructure</li>
<li>Understanding of network technologies as they relate to AWS</li>
<li>A good understanding of all security features and tools that AWS provides and how they relate to
traditional services</li>
<li>A strong understanding of client interfaces to the AWS platform</li>
<li>Hands-on experience with AWS deployment and management services</li>
</ul>

<b>Key items you should know before you take the exam:</b>

1. How to configure and troubleshoot a VPC inside and out, including basic IP subnetting. VPC is arguably one of the more complex components of AWS and you cannot pass this exam without a thorough understanding of it. 
2. The difference in use cases between Simple Workflow (SWF), Simple Queue Services (SQS), and Simple Notification Services (SNS). 
3. How an Elastic Load Balancer (ELB) interacts with auto-scaling groups in a high-availability deployment. 
4. How to properly secure a S3 bucket in different usage scenarios 
5. When it would be appropriate to use either EBS-backed or ephemeral instances. 
5. A basic understanding of CloudFormation. 
6. How to properly use various EBS volume configurations and snapshots to optimize I/O performance and data durability.

<b>General IT Knowledge preferred for the Exam:</b>

<ul>
<li>Excellent understanding of typical multi-tier architectures: web servers, caching, application servers, load
balancers, and storage</li>
<li>Understanding of Relational Database Management System (RDBMS) and NoSQL</li>
<li>Knowledge of message queuing and Enterprise Service Bus (ESB)</li>
<li>Familiarity with loose coupling and stateless systems</li>
<li>Understanding of different consistency models in distributed systems</li>
<li>Knowledge of Content Delivery Networks (CDN)</li>
<li>Hands-on experience with core LAN/WAN network technologies</li>
<li>Experience with route tables, access control lists, firewalls, NAT, HTTP, DNS, IP and OSI Network</li>
<li>Knowledge of RESTful Web Services, XML, JSON</li>
<li>Familiarity with the software development lifecycle</li>
<li>Work experience with information and application security concepts, mechanisms, and tools</li>
<li>Awareness of end-user computing and collaborative technologies</li>
</ul>


<h2>Passing the AWS solutions architect - Associate exam > General Learning Material</h2>

1. <a href="https://cloudacademy.com/learning-paths/aws-solutions-architect-associate-2016-11/">Solutions Architect—Associate Certification for AWS (2016)</a>
2. <a href="https://cloudacademy.com/ebooks/guide-aws-certification-exams-2/">A Guide to AWS Certification Exams</a>
3. <a href="https://cloudacademy.com/ebooks/aws-solutions-architect-certification-1/">AWS Solutions Architect Certification</a>
4. <a href="https://d0.awsstatic.com/training-and-certification/docs-sa-assoc/AWS_certified_solutions_architect_associate_blueprint.pdf">AWS Certified Solutions Architect Associate Exam</a>
5. <a href="http://cloudacademy.com/blog/aws-certification-exams-what-to-expect/">AWS Certification Exams: What to expect</a>
6. <a href="http://cloudacademy.com/community/passed-aws-certified-solutions-architect-associate-with-the-7-days-trial-by-cloud-academy-t290/">Preparing for the AWS Solutions Architect Associate Exam - Webinar</a>
6. <a href="http://cloudacademy.com/blog/aws-cli-10-useful-commands/">AWS CLI: 10 Useful Commands You May Not Know</a>
7. <a href="http://cloudacademy.com/blog/aws-continuous-learning/">How I Got 5 AWS Certifications: continuous learning with AWS</a>
8. <a href="http://cloudacademy.com/blog/amazon-aws-certified-solutions-architect-what-to-study-tips-and-resources/">Amazon AWS Certified Solutions Architect: What to Study, Tips and Resources</a>
9. <a href="https://www.youtube.com/watch?v=vg5onp8TU6Q">AWS re:Invent 2015 | (ARC301) Scaling Up to Your First 10 Million Users</a>
10. <a href="https://www.youtube.com/watch?v=eun8CqGqdk8">AWS re:Invent 2015 | (CMP302) Amazon ECS: Distributed Applications at Scale</a>
11. <a href="https://www.youtube.com/watch?v=2DpOS0zu8O0">AWS re:Invent 2014 | (SDD413) Amazon S3 Deep Dive and Best Practices</a>
12. <a href="https://www.youtube.com/watch?v=-mL3zT1iIKw">AWS re:Invent 2015 | (DVO203) A Day in the Life of a Netflix Engineer</a>
13. <a href="https://github.com/sriramsharma/aws_whitepapers">Study guide for AWS Certification - GitHub Repo</a>
14. <a href="https://github.com/sriramsharma/aws_whitepapers">An app to track white AWS white papers I have read in preparation for architect certification.</a>
15. <a href="https://www.youtube.com/watch?v=vIsVLX8o30k">Prepare for AWS Certifications - Webinar</a>
16. <a href="https://www.youtube.com/watch?v=eCdsVy2NNJs">AWS Certifications for Teams - Webinar</a>
17. <a href="http://www.leonardofed.io/aws-setup.html">Proper Setup pf a new AWS Account</a>

<h2>Passing the AWS solutions architect - Associate exam > Blueprints exam</h2>

In <a href="http://awstrainingandcertification.s3.amazonaws.com/production/AWS_certified_solutions_architect_associate_examsample.pdf">this AWS whitepaper</a> you'll find a sample exam. Here's a preview:
<br>
<br>

<ul><i>Amazon Glacier is designed for: (Choose 2 answers)</i>
<br>
<br>A. active database storage.
<br><b>B. infrequently accessed data.</b>
<br><b>C. data archives.</b>
<br>D. frequently accessed data.
<br>E. cached session data.
<br>
<br>(Answer: B. infrequently accessed data. C. data archives.)
</ul>

<ul><i>Your web application front end consists of multiple EC2 instances behind an Elastic Load Balancer. You
configured ELB to perform health checks on these EC2 instances. If an instance fails to pass health
checks, which statement will be true?</i>
<br>
<br>A. The instance is replaced automatically by the ELB.
<br>B. The instance gets terminated automatically by the ELB.
<br><b>C. The ELB stops sending traffic to the instance that failed its health check.</b>
<br>D. The instance gets quarantined by the ELB for root cause analysis.
<br>
<br>(Answer: C. The ELB stops sending traffic to the instance that failed its health check.)
</ul>

<ul><i>You are building a system to distribute confidential training videos to employees. Using CloudFront, what
method could be used to serve content that is stored in S3, but not publically accessible from S3
directly?</i>
<br>
<br><b>A. Create an Origin Access Identity (OAI) for CloudFront and grant access to the objects in your S3
bucket to that OAI.</b>
<br>B. Add the CloudFront account security group “amazon-cf/amazon-cf-sg” to the appropriate S3 bucket
policy.
<br>C. Create an Identity and Access Management (IAM) User for CloudFront and grant access to the
objects in your S3 bucket to that IAM User.
<br>D. Create a S3 bucket policy that lists the CloudFront distribution ID as the Principal and the target
bucket as the Amazon Resource Name (ARN).
<br><br>(Answer: A. Create an Origin Access Identity (OAI) for CloudFront and grant access to the objects in your S3 bucket to that OAI.)
</ul>
<br>
In <a href="https://markosrendell.wordpress.com/2013/12/12/aws-certified-solutions-architect-sample-questions-answered-and-discussed/">this amazing post</a> Markos Rendell gave a deep explanation to every single AWS question.

<h2>Passing the AWS solutions architect - Associate exam > Direct experience from AWS Certified members</h2>


Here are some general observations by <a href="https://www.linkedin.com/in/mihak">Miha Kralj</a> in <a href="https://medium.com/@Miha.Kralj/passing-the-aws-certified-solutions-architect-professional-exam-ebbdc26d6598">this great post.</a>

<ul>
<li>There were several questions related to DR solutions with specified RPO/RTO times. Modern cloud-born solutions use completely different BCP approach, but hey, someone in AWS really likes traditional disaster recovery scenarios and is making sure that you love them too. I know it is 2016, but you need to learn the old skool BCP techniques for this exam.</li>

<li>Questions about the AWS Storage Gateway appear at least 3 times. Yeah. Storage Gateway. The stuff that cloud-native architects never saw in action - nor do we want to. You have to learn the difference between Cached Volumes, Stored Volumes and understand how VTL works.</li>

<li>Lots and lots and lots of questions on deployment management. CloudFormation. Elastic Beanstalk. OpsWorks. Learn these three technologies well - not well for an architect, but well for a 2nd-tier escalation operations engineer. One of the examiners really really really liked cloud deployment automation. And now you will like it too. Who cares if you use SaltStack, Terraform or Ansible - learn CF, Beanstalk and OpsWorks!</li>

<li>Networking questions were everywhere, like 30% of the test or even more: VPN/DirectConnect/VPC peering. For me, DDOS protection, WAF, Cloudfront, and SSL/TLS stuff is networking too, although AWS treats them as security issues. Anyway, the examiners *love* networking. Learn networking. I mean, learn it like this is a Cisco exam, not a cloud architecture exam.
Federated access, SAML, IAM roles and all possible AuthZ/AuthN scenarios - learn them all. Learn how IAM policies work. How cross-account trust works. And specifically how they don't work. Think like troubleshooting support personnel and what they need to know about identity flows; that's what you need to know for this exam.</li>

<li>Whenever you see the need for high-performing scalable solution, the answer is always DynamoDB. Even if you think that architecturally there might be a better choice (Cassandra, or CouchDB anyone?), the correct answer will be DynamoDB. People that wrote the test were clearly in love with DynamoDB, Elasticache and Kinesis. Just pick the answer that includes all three of them and you'll be right.</li>

<li>If a scenario is asking for something cheap (cost-effective), the answer must include spot instances, SQS for throttling and perhaps S3 RRS or Glacier.</li>

<li>There were at least two questions where I was simply forced to propose the AWS Data Pipeline. Yeah, the obscure and rarely-seen Data Pipeline service, in the age when Lambda solves the same problem way more efficiently. No, Lambda was not an option at all and it didn't appear anywhere in the test.</li>
</ul>
--
In <a href="https://www.linkedin.com/pulse/how-get-all-aws-certifications-asia-wong-chun-yin-cyrus-%E9%BB%83%E4%BF%8A%E5%BD%A5-">this other write-up on LinkedIn</a> Wong Chun Yin explained how to get all 5 AWS Certifications in Asia. Below, a couple of great hints for the SA - Associate.

    First of all, associate certifications are not hard, and if you have a chance to take the AWS training, then you just need to concentrate on reading the training slides is more than enough! Remember to read the details explanation under the slides. Good understanding of VPC and IAM is important for all associate exams.
    
--

Dan-Claudiu Dragos <a href="http://cloudacademy.com/community/passed-aws-certified-solutions-architect-associate-with-the-7-days-trial-by-cloud-academy-t290/">shared his experience here</a> on how he prepared for the AWS Solutions Architect Certifications in 7 days and succesfully passed it.

I'd like to share my experience of getting AWS CSA(A) certified with Cloud Academy:
 
<b>The background:</b><br>

<ul>
 <li>I have registered my personal AWS account late 2014 and still do not do much with it. Without a professional motivator this is actually a dead end, more like buying a book and never reading it.
 </li>
<li>Mid-2015 I started doing DevOps work for a customer of my employer. They have a 1000+ node AWS environment that was fully configured with multiple VPCs, VPN access, IAM groups and the like. That become my playground and was the actual game changer, the single big detail that made the difference, certification-wise.</li>
</ul>
<br>
 
<b>The process:</b>
<br>
<ul>
<li>Late April 2016 I have found the r/sysadmin (reddit) message with one month promotion by Cloud Academy. At that point I did not know anything about the AWS certifications but the seed got planted. I found the message a bit late, though, when the seats were already filled up, so did not register at that time.</li>
<li>During the first week or so afterwards I was a bit confused, did not know what path to take. My first intention was to go to the Sysops cert but then I read on the Cloud Academy page that there is a big overlap with the "simpler" Architecture certification.</li>
<li>By looking around I have found some course recordings from 2 years ago (don't ask) and listened to them for a total of 14 to 16 hours (not sure about this detail). They helped me get in the right mood to start doing tests, quizes, practice stuff...</li>
<li>Mid-May, I register myself with Cloud Academy and get the 7 days trial. Well, I did the best out of that - my public profile says I have completed 1600+ quizes and got 35,000+ karma during that time. I have taken every quiz from the then AWS CSA(A) learning path multiple times until I got my score above 90%. The EC2/EBS quizes were quite easy, actually, with my experience; the S3 and IAM ones were average and Cloud Academy helped me fill in many blanks in that area. The database ones (DynamoDB and RDS) were the hardest and I had to open a lab to see how things were done and what concepts were important.</li>
<li>In the last 3 days of the trial I have taken the 150+ questions exam at the end of the learning path and got 75% on the first try. I have taken it 2 or 3 more times, but as I started to remember questions I no longer considered it that useful to figure out what I still don't know.</li>
<li>By that time I have also started to read white papers from Amazon on topics that were lightly touched by Cloud Academy, e.g. EBS RAID configurations and Route 53 special record types, health checks and failovers.</li>
<li>I also got 4 apps from the Google Play Store, I found "AWS Architect - Associate" and "Cloud Pros- AWS Certified Arch" best. At that point I was already above the 90% passing threshold, though, and could not find many questions online I could not provide the expected correct answer to.</li>
<li>I have also taken the practice exam from Amazon (a $20 cost). Please note that the questions do not change so taking it once and taking photos of the screen really helps on figuring out the failed questions. Nevertheless, I got 90% and scheduled myself a slot for "the real thing".</li>
<li>May 27th - I went to the testing center and passed the AWS CSA(A) exam with 83%; I assume this is an average passing score. Amazon doesn't tell what is the failing threshold, but tells you how well you did in 4 areas (I had 80-85-90% in all of them).</li>

</ul>
<br>
 
<b>On the exam itself:</b>
<br>
<ul>
<li>I got one question from the sample questions and one from the practice exam; they were on the simpler side.</li>
<li>33% are "easy", in the sense that fall in the "is water wet? true/false" type - relative to the AWS concepts, though.</li>
<li>33% are "average", more like "what feels wetter, water or oil?"</li>
<li>33% are hard or even crazy, covering all sorts of service details or requiring you to provide answers in the line of Amazon recommendations regarding certain service usage.</li>
<li>About half of them are multiple answer, with no partial points given.</li>
<li>Oh, don't look for dumps, Amazon has hundreds of possible questions out of which a subset is being given for each exam, there simply is no way to pass such exam with brain dumps, so forget it.</li>
</ul>
 
<br>
That's it. I'm the number 16.891, not sure if this is small or big, or even if it matters.
<br>
<br>
<i>A redditor on r/aws gave awesome tips about <a href="https://www.reddit.com/r/aws/comments/4szokm/aws_csa_professional/d5dhvnd">the exam day</a></i>
<center><img src="http://i.imgur.com/QhvMK2L.png"><center>

<h2>Passing the AWS solutions architect - Associate exam > The Exam</h2>
Exam Registration fee is USD 150
<br>
You have <b>80 minutes</b> to complete a <b>40 quizzes exam</b>. Most of the questions are up to 3 lines long in the multiple choice format. You should consider no more than 1.5/2 minutes per question if you want to read each question carefully and answer to all of them correctly. 
<br>
It's possible to set a question for review and skip, you can get back to what you marked in this way at the end.
<br>
<br>
Now you're ready to go. <a href="https://www.webassessor.com/wa.do?page=publicHome&branding=AMAZON">Here's where you book your exam!</a>
<br>
<br>
<h2>Passing the AWS solutions architect - Professional Exam > Exam Overview</h2>

You will find you make less errors when you don’t feel rushed on time.


To pass the <b>AWS Certified Solutions Architect - Professional exam</b>, you have to master advanced and technical skills, not to mention the experience in designing distributed applications and systems using AWS. In order to pass the exam you have to:

<b>Exam concepts you should understand for this exam include:</b>

1. Design and deploy dynamically scalable, highly available, and reliable applications on AWS
2. Choosing appropriate AWS services to create and deploy an application based on specific requirements
3. Migrating complex, multi-tier applications on AWS
4. Designing and deploying enterprise-wide scalable operations on AWS
5. Implementing cost control strategies
6. Estimating AWS costs and identifying cost control mechanisms
<br>
<b>Exam Overview</b>

1. Multiple choice and multiple answer questions
2. 170 minutes to complete the exam It's all multiple choice on a PC
3. Exam available in English and Japanese
4. Practice Exam Registration fee is USD 40
5. The exam blueprint specified that there would be 100+ questions given in a 180 minute period and did not specify a pass grade. 
6. The exam will test your knowledge with 180 questions
7. In terms of question complexity, it is at about the level I expected and required a good understanding of all available AWS services. 
8. AWS Certification passing scores are set by using statistical analysis and are subject to change. AWS does not publish exam passing scores because exam questions and passing scores are subject to change without notice.
9. Exam Registration fee is USD 300
10. Recommend taking Advanced Architecting on AWS
11. Sample questions for the exam are available here.
<br><br>

<h2>Passing the AWS solutions architect - Associate exam > Prerequisites & Requirements</h2>
<br>

Note that in the event that you fail to pass an <b>AWS certification exam</b>, you may retake the exam subject to the following conditions:

a. You must wait 14 days from the day you fail to take the exam again.
b. You can take an exam up to three times in one year from the date of your first attempt.


Good Luck!